curl --request POST \
--url https://platform.jobbit.uk/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "google/gemini-2.5-flash-image",
"prompt": "A bright waiting room for a physiotherapy clinic in Kent, watercolour style",
"n": 1,
"aspect_ratio": "16:9"
}
'import requests
url = "https://platform.jobbit.uk/v1/images/generations"
payload = {
"model": "google/gemini-2.5-flash-image",
"prompt": "A bright waiting room for a physiotherapy clinic in Kent, watercolour style",
"n": 1,
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'google/gemini-2.5-flash-image',
prompt: 'A bright waiting room for a physiotherapy clinic in Kent, watercolour style',
n: 1,
aspect_ratio: '16:9'
})
};
fetch('https://platform.jobbit.uk/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/images/generations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'google/gemini-2.5-flash-image',
'prompt' => 'A bright waiting room for a physiotherapy clinic in Kent, watercolour style',
'n' => 1,
'aspect_ratio' => '16:9'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.jobbit.uk/v1/images/generations"
payload := strings.NewReader("{\n \"model\": \"google/gemini-2.5-flash-image\",\n \"prompt\": \"A bright waiting room for a physiotherapy clinic in Kent, watercolour style\",\n \"n\": 1,\n \"aspect_ratio\": \"16:9\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.jobbit.uk/v1/images/generations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"google/gemini-2.5-flash-image\",\n \"prompt\": \"A bright waiting room for a physiotherapy clinic in Kent, watercolour style\",\n \"n\": 1,\n \"aspect_ratio\": \"16:9\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.jobbit.uk/v1/images/generations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"google/gemini-2.5-flash-image\",\n \"prompt\": \"A bright waiting room for a physiotherapy clinic in Kent, watercolour style\",\n \"n\": 1,\n \"aspect_ratio\": \"16:9\"\n}"
response = http.request(request)
puts response.read_body{
"created": 1730822800,
"data": [
{
"url": "https://jobbit-s3.ams3.digitaloceanspaces.com/ai/7b0e2c4a/img-4f1e9c.png"
}
]
}{
"error": {
"code": "upstream_rejected",
"message": "n must be between 1 and 4",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_credits",
"message": "not enough credits to run this request",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "payload_too_large",
"message": "the request body is larger than 26214400 bytes",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}Generate images
Makes one to four images from a prompt; with the default response_format each image is stored and returned as a link, and the credits spent come back in the X-Jobbit-Credits header. The body may be up to 25 MiB (gzip allowed), and a key limited to some models may only call those models.
Requires the ai permission.
curl --request POST \
--url https://platform.jobbit.uk/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "google/gemini-2.5-flash-image",
"prompt": "A bright waiting room for a physiotherapy clinic in Kent, watercolour style",
"n": 1,
"aspect_ratio": "16:9"
}
'import requests
url = "https://platform.jobbit.uk/v1/images/generations"
payload = {
"model": "google/gemini-2.5-flash-image",
"prompt": "A bright waiting room for a physiotherapy clinic in Kent, watercolour style",
"n": 1,
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'google/gemini-2.5-flash-image',
prompt: 'A bright waiting room for a physiotherapy clinic in Kent, watercolour style',
n: 1,
aspect_ratio: '16:9'
})
};
fetch('https://platform.jobbit.uk/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.jobbit.uk/v1/images/generations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'google/gemini-2.5-flash-image',
'prompt' => 'A bright waiting room for a physiotherapy clinic in Kent, watercolour style',
'n' => 1,
'aspect_ratio' => '16:9'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://platform.jobbit.uk/v1/images/generations"
payload := strings.NewReader("{\n \"model\": \"google/gemini-2.5-flash-image\",\n \"prompt\": \"A bright waiting room for a physiotherapy clinic in Kent, watercolour style\",\n \"n\": 1,\n \"aspect_ratio\": \"16:9\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.jobbit.uk/v1/images/generations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"google/gemini-2.5-flash-image\",\n \"prompt\": \"A bright waiting room for a physiotherapy clinic in Kent, watercolour style\",\n \"n\": 1,\n \"aspect_ratio\": \"16:9\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.jobbit.uk/v1/images/generations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"google/gemini-2.5-flash-image\",\n \"prompt\": \"A bright waiting room for a physiotherapy clinic in Kent, watercolour style\",\n \"n\": 1,\n \"aspect_ratio\": \"16:9\"\n}"
response = http.request(request)
puts response.read_body{
"created": 1730822800,
"data": [
{
"url": "https://jobbit-s3.ams3.digitaloceanspaces.com/ai/7b0e2c4a/img-4f1e9c.png"
}
]
}{
"error": {
"code": "upstream_rejected",
"message": "n must be between 1 and 4",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "invalid_key",
"message": "the API key is missing or invalid",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_credits",
"message": "not enough credits to run this request",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "insufficient_scope",
"message": "this key does not have the deploy:write permission",
"details": {
"required": "deploy:write"
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "payload_too_large",
"message": "the request body is larger than 26214400 bytes",
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}{
"error": {
"code": "rate_limited",
"message": "too many read requests, retry in 4 s",
"details": {
"group": "read",
"limit": 120,
"window_seconds": 60
},
"request_id": "5d3f0b7c8a2e4e19b6c47a90d1e2f3a4"
}
}Authorizations
An API key from Settings → API keys, sent as Authorization: Bearer jb_live_…
Body
What to draw.
An image model id from GET /v1/images/models. Defaults to google/gemini-2.5-flash-image.
How many images to make.
1 <= x <= 4Image size, for models that take one, such as 1024x1024.
Aspect ratio, for models that take one, such as 16:9.
Resolution, for models that take one, such as 2K.
Quality, for models that take one.
url returns a link to the stored image; b64_json returns the bytes inline.
url, b64_json Your own id for the end user.